function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from "react";
import CssContext, { useCss } from "./context";
import { CssManager } from "./css-manager";
import { CssUtils } from "./css-utils";
function Provider(props) {
  return /*#__PURE__*/React.createElement(CssContext.Provider, _extends({}, props, {
    decorator: (state, decorators) => {
      const {
        classes,
        ...attributes
      } = decorators || {};
      return CssManager.getStyleObj(state, classes, attributes);
    }
  }));
}
function Consumer(_ref) {
  let {
    children,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(CssContext.Consumer, props, _ref2 => {
    let {
      decoratedState: decoratedStyle = {}
    } = _ref2;
    if (!props.classes || !props.classes.length) {
      return children;
    }
    if (!Object.keys(decoratedStyle).length) {
      return children;
    }
    return React.Children.map(children, element => {
      if (element) {
        const {
          style,
          ...rest
        } = element.props;
        let newStyle = [];
        if (Array.isArray(style)) {
          newStyle = [...style];
        } else if (style !== undefined) {
          newStyle.push(style);
        }
        newStyle.push(decoratedStyle);
        return /*#__PURE__*/React.cloneElement(element, {
          ...rest,
          style: newStyle
        });
      }
      return element;
    });
  });
}
const Css = {
  ...CssContext,
  Provider,
  Consumer
};
const CssHelper = {
  arrayToObject: function () {
    let styles = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    return CssManager.arrayToObject(styles);
  },
  flatten: function () {
    let styles = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    let classes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
    let attributes = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    return CssManager.flatten(Css.get().state, styles, classes, attributes);
  },
  getStyle: function () {
    let classes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    let attributes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return CssManager.getStyle(Css.get().state, classes, attributes);
  },
  getStyleObj: function () {
    let classes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    let attributes = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return CssManager.getStyleObj(Css.get().state, classes, attributes);
  },
  /**
   * @returns activeTheme key, if it is "automatic" the result will be a resolved theme, light or dark
   */
  getInUseThemeId: () => CssManager.getInUseThemeId(Css.get().state),
  /**
   * @returns activeTheme object, if it is "automatic" the result will be a resolved theme, light or dark
   */
  getInUseTheme: () => CssManager.getInUseTheme(Css.get().state),
  getActiveThemeId: () => CssManager.getActiveThemeId(Css.get().state),
  getThemes: () => CssManager.getThemes(Css.get().state),
  isActiveThemeDark: () => CssManager.isActiveThemeDark(Css.get().state),
  mergeRnStyles: CssUtils.mergeRnStyles,
  resolvePlaceholders: CssUtils.resolvePlaceholders
};
export { CssHelper, useCss };
export default Css;
//# sourceMappingURL=index.js.map