export let Utils;
(function (_Utils) {
  function mergeObjects() {
    let obj1 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    let obj2 = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    // Create a new object to store the merged result
    const mergedObj = {
      ...obj1
    };
    Object.keys(obj2).forEach(key => {
      if (obj2[key] !== undefined) {
        if (Array.isArray(obj2[key]) && Array.isArray(obj1[key])) {
          //on array always overwrite the value of obj1 with obj2
          mergedObj[key] = obj2[key];
        } else if (typeof obj2[key] === "object" && typeof obj1[key] === "object") {
          // If both values are objects, recursively merge them
          mergedObj[key] = mergeObjects(obj1[key], obj2[key]);
        } else {
          // Otherwise, simply set the value from obj2
          mergedObj[key] = obj2[key];
        }
      }
    });
    return mergedObj;
  }
  _Utils.mergeObjects = mergeObjects;
  function isNull(a) {
    return a === undefined || a === null;
  }
  function isEmpty(a) {
    if (!isNull(a)) {
      if (typeof a === "string") {
        return a.length === 0;
      }
      if (Array.isArray(a)) {
        return a.length === 0;
      }
      if (typeof a === "object") {
        return Object.keys(a).length === 0;
      }
    }
    return true;
  }
  _Utils.isEmpty = isEmpty;
})(Utils || (Utils = {}));
//# sourceMappingURL=utils.js.map