import { IAttributes, ICssContext, IRnTheme } from "./types";
export declare namespace CssManager {
    function flatten(state?: ICssContext, styles?: never[], classes?: string[], attributes?: IAttributes): any;
    function arrayToObject(styles: Array<{
        [key: string]: any;
    }>, ignoreKeys?: string[]): {
        [key: string]: any;
    };
    function getStyle(state: ICssContext | undefined, classes: string[], attributes?: IAttributes): {
        [key: string]: any;
    };
    function getStyleObj(context: ICssContext | undefined, classes: string[], attributes?: IAttributes): {
        [key: string]: any;
    };
    function getThemes(context?: ICssContext): {
        key: string;
        name?: string | undefined;
        default?: 0 | 1 | undefined;
        dark?: 0 | 1 | undefined;
        automatic?: 0 | 1 | undefined;
        styles?: import("./types").IRnStyle | undefined;
    }[];
    function isActiveThemeDark(context?: ICssContext): boolean;
    function getInUseTheme(context?: ICssContext): IRnTheme | undefined;
    /**
     * return theme in use
     * if the theme is "automatic" it will be resolved to light or dark theme
     * @param param0
     * @returns
     */
    function getInUseThemeId({ rnStyles, isDark, activeTheme }?: ICssContext): string | undefined;
    /**
     * @returns active theme, also "automatic" value
     */
    function getActiveThemeId({ rnStyles, activeTheme }?: ICssContext): string | undefined;
}
//# sourceMappingURL=css-manager.d.ts.map