import React from "react";
import { ConsumerProps, ProviderProps } from "react-reactive-context";
import { IAttributes, ICssContext, ICssContextDecorated, IDecorators } from "./types";
import { useCss } from "./context";
import { CssUtils } from "./css-utils";
declare function Provider(props: ProviderProps<ICssContext, ICssContextDecorated, IDecorators>): React.JSX.Element;
declare function Consumer({ children, ...props }: Omit<ConsumerProps<ICssContext, ICssContextDecorated, IDecorators>, "children"> & {
    children: JSX.Element[] | JSX.Element;
}): JSX.Element;
declare const Css: {
    Provider: typeof Provider;
    Consumer: typeof Consumer;
    default: React.Context<ICssContext>;
    displayName?: string | undefined;
    set: (state: Partial<ICssContext> | ((prevState: ICssContext) => Partial<ICssContext>)) => void;
    get: (decorators?: IDecorators | undefined) => {
        state: ICssContext;
        decoratedState: ICssContextDecorated;
    };
    subscribe: (callback: (data: {
        state: ICssContext;
        decoratedState: ICssContextDecorated;
    }) => void, decorators?: IDecorators | undefined) => () => void;
    removeAllSubscribers: () => void;
};
declare const CssHelper: {
    arrayToObject: (styles?: never[]) => {
        [key: string]: any;
    };
    flatten: (styles?: never[], classes?: string[], attributes?: IAttributes) => any;
    getStyle: (classes?: string[], attributes?: IAttributes) => {
        [key: string]: any;
    };
    getStyleObj: (classes?: string[], attributes?: IAttributes) => {
        [key: string]: any;
    };
    /**
     * @returns activeTheme key, if it is "automatic" the result will be a resolved theme, light or dark
     */
    getInUseThemeId: () => string | undefined;
    /**
     * @returns activeTheme object, if it is "automatic" the result will be a resolved theme, light or dark
     */
    getInUseTheme: () => import("./types").IRnTheme | undefined;
    getActiveThemeId: () => string | undefined;
    getThemes: () => {
        key: string;
        name?: string | undefined;
        default?: 0 | 1 | undefined;
        dark?: 0 | 1 | undefined;
        automatic?: 0 | 1 | undefined;
        styles?: import("./types").IRnStyle | undefined;
    }[];
    isActiveThemeDark: () => boolean;
    mergeRnStyles: typeof CssUtils.mergeRnStyles;
    resolvePlaceholders: typeof CssUtils.resolvePlaceholders;
};
export { CssHelper, useCss };
export default Css;
//# sourceMappingURL=index.d.ts.map